summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefan Cristian B. <steven.darklight@gmail.com>2014-12-08 19:13:04 +0200
committerStefan Cristian B. <steven.darklight@gmail.com>2014-12-08 19:13:04 +0200
commit0d96d081faee3b930eae9ed376f0e49e45cc9b14 (patch)
tree67d4c2a28e39bc8590f6650aebb9811da2b1f41a
parentb2eb648002b54470a79121a55e62253111cf8945 (diff)
parent58253806a8a3558bf830f7d95b2afee8f78cd0a2 (diff)
Merge pull request #17 from bionel/master
kogaion-artwork-core, finally :P
-rw-r--r--eclass/kogaion-artwork.eclass4
-rw-r--r--eclass/kogaion-kernel.eclass6
-rw-r--r--x11-themes/kogaion-artwork-core/kogaion-artwork-core-2.1.ebuild64
3 files changed, 69 insertions, 5 deletions
diff --git a/eclass/kogaion-artwork.eclass b/eclass/kogaion-artwork.eclass
index f20a2fd0..97c4dcc9 100644
--- a/eclass/kogaion-artwork.eclass
+++ b/eclass/kogaion-artwork.eclass
@@ -13,12 +13,12 @@ KERN_INITRAMFS_SEARCH_NAME="${KERN_INITRAMFS_SEARCH_NAME:-initramfs-genkernel*}"
# @ECLASS-VARIABLE: GFX_SPLASH_NAME
# @DESCRIPTION:
# Default splash theme name to use
-GFX_SPLASH_NAME="${GFX_SPLASH_NAME:-rogentos}"
+GFX_SPLASH_NAME="${GFX_SPLASH_NAME:-kogaion}" #we leave this for the moment, even not used
# @ECLASS-VARIABLE: PLYMOUTH_THEME
# @DESCRIPTION:
# Default plymouth theme name to use
-PLYMOUTH_THEME="${PLYMOUTH_THEME:-rogentos}"
+PLYMOUTH_THEME="${PLYMOUTH_THEME:-kogaion}"
# @FUNCTION: update_kernel_initramfs_splash
# @USAGE: update_kernel_initramfs_splash [splash_theme] [splash_file]
diff --git a/eclass/kogaion-kernel.eclass b/eclass/kogaion-kernel.eclass
index 9d9787ea..2b25e002 100644
--- a/eclass/kogaion-kernel.eclass
+++ b/eclass/kogaion-kernel.eclass
@@ -364,7 +364,7 @@ else
arm? ( dev-embedded/u-boot-tools )
amd64? ( sys-apps/v86d )
x86? ( sys-apps/v86d )
- splash? ( x11-themes/rogentos-artwork-core )
+ splash? ( x11-themes/kogaion-artwork-core )
lvm? ( sys-fs/lvm2 sys-block/thin-provisioning-tools )
plymouth? (
|| ( >=sys-kernel/genkernel-next-5 >=sys-kernel/genkernel-5 )
@@ -517,8 +517,8 @@ _kernel_src_compile() {
cd "${S}" || die
local GKARGS=()
GKARGS+=( "--no-save-config" "--e2fsprogs" "--udev" )
- use splash && GKARGS+=( "--splash=rogentos" )
- use plymouth && GKARGS+=( "--plymouth" "--plymouth-theme=rogentos" )
+ # use splash && GKARGS+=( "--splash=kogaion" ) #NO MORE fbsplash!!!
+ use plymouth && GKARGS+=( "--plymouth" "--plymouth-theme=${PLYMOUTH_THEME}" ) #reverted to use variable (check the eclass)
use dmraid && GKARGS+=( "--dmraid" )
use iscsi && GKARGS+=( "--iscsi" )
use mdadm && GKARGS+=( "--mdadm" )
diff --git a/x11-themes/kogaion-artwork-core/kogaion-artwork-core-2.1.ebuild b/x11-themes/kogaion-artwork-core/kogaion-artwork-core-2.1.ebuild
new file mode 100644
index 00000000..4be1f003
--- /dev/null
+++ b/x11-themes/kogaion-artwork-core/kogaion-artwork-core-2.1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2012 Sabayon Promotion
+# Copyright 2012 Rogentos Linux
+# Distributed under the terms of the GNU General Public License v2
+# Original Authors Sabayon Team
+# Maintainer BlackNoxis <stefan.cristian at rogentos.ro>
+
+EAPI=4
+inherit eutils mount-boot kogaion-artwork
+
+DESCRIPTION="Offical Kogaion-Linux Core Artwork"
+HOMEPAGE="http://www.rogentos.ro"
+SRC_URI="http://pkg.rogentos.ro/~rogentos/distro/${CATEGORY}/${PN}/"${PN}"-${PV}.tar.xz"
+ # http://pkg2.rogentos.ro/~noxis/distro/${CATEGORY}/${PN}/${PN}-${PVR}.tar.gz Temporray suspended repo
+
+LICENSE="CCPL-Attribution-ShareAlike-3.0"
+SLOT="0"
+KEYWORDS="~arm ~x86 ~amd64"
+IUSE=""
+RDEPEND="sys-apps/findutils
+ !<sys-boot/grub-0.97-r22
+ !x11-themes/sabayon-artwork-core
+"
+
+S="${WORKDIR}/"
+
+src_install() {
+ # Fbsplash theme - dropped!!!
+ # insinto "${S}"/fbsplash
+ # dodir /etc/splash/kogaion
+ # insinto /etc/splash/kogaion/
+ # doins -r "${S}"/fbsplash/kogaion/*
+
+ # Cursors
+ cd "${S}"/mouse/RezoBlue
+ dodir /usr/share/cursors/xorg-x11/RezoBlue
+ insinto /usr/share/cursors/xorg-x11/RezoBlue || die "Cannot make target dir for cursors!"
+ doins -r ./
+ # Linking to our liked theme, instead of Adwaita (or whatever akward defaults)
+ insinto /usr/share/cursors/xorg-x11/
+ rm -f default
+ dosym RezoBlue default || die "Target cursors not found!"
+
+ # Wallpapers
+ cd "${S}"/background
+ insinto /usr/share/backgrounds
+ doins *.png *.jpg
+ #newins rogentoslinux.png rogentos-nvidia.png
+
+ # Backdrop functionality for Xfce
+ dodir /usr/share/xfce4/backdrops
+ insinto /usr/share/xfce4/backdrops
+ doins *.png *.jpg
+}
+
+pkg_postinst() {
+ # mount boot first
+ mount-boot_mount_boot_partition
+
+ # Update Sabayon initramfs images
+ # update_sabayon_kernel_initramfs_splash # Disabled. We DROP fbsplash!!!
+
+ einfo "Please report bugs or glitches to"
+ einfo "BlackNoxis"
+}